Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 982620 - Remote applications (un)usability (AppMenu)
Summary: Remote applications (un)usability (AppMenu)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gtk3
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Benjamin Otte
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On: 1207380
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-09 12:22 UTC by Remi Collet
Modified: 2015-11-19 08:12 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-19 08:12:43 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 703862 None None None Never
Red Hat Product Errata RHBA-2015:2116 normal SHIPPED_LIVE GTK+ bug fix and enhancement update 2015-11-19 08:39:32 UTC

Description Remi Collet 2013-07-09 12:22:37 UTC
Hi.

When application à run remotely (for example from ssh -X) the options from the
AppMenu are missing.

Ex, in gedit: Quit and Preferences.
(Quit is not a real issue, while missing Preferences is really annoying).

I know the tips to disable AppMenu
gsettings set \
  org.gnome.settings-daemon.plugins.xsettings overrides \
  '@a{sv} {"Gtk/ShellShowsAppMenu": <int32 0>}'

This works well locally. But not for remote app (no session / daemon-settings
running).

It will be great to have application to switch to Gtk/ShellShowsAppMenu=0 at
runtime when some condition encountered.


Using graphical gnome application from remote is a quite common usage, I think.

Thanks.

Comment 2 Remi Collet 2013-08-08 07:13:03 UTC
I notice gnome-terminal add Pref / Help entries in both the AppMenu and in the standard menu, which seems a acceptable solution.

Comment 4 Florian Müllner 2014-04-26 12:42:57 UTC
GtkApplication is expected to fallback to an in-window app menu if it cannot be displayed by the shell. It currently only handles the case where the desktop does not support app menus at all, it needs to handle the case where desktop shell and application use different DBus sessions as well - see https://bugzilla.gnome.org/show_bug.cgi?id=671802.

Comment 9 errata-xmlrpc 2015-11-19 08:12:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-2116.html


Note You need to log in before you can comment on or make changes to this bug.